// -*-c++-*-
// 
// escstring - String class with expansion of escape commands
//
// (C) 2001 Andrew Ross <aross@env.leeds.ac.uk>

#ifndef _ESCSTRING_H
#define _ESCSTRING_H

struct EscList {
  char key;
  char *text;
  EscList *prev;
  EscList *next;
};
  

class EscString {

  public:
  EscString();
  ~EscString();

  void SetString(char *);
  char *GetExpandedString();
  char *GetString();

  void SetEscChar(char);
  char GetEscChar();

  void SetEscKey(char,char *);
  void ClearEscKey(char);

 private:
  EscList *FindKey(char);

  // Class variables
  EscList *first, *last;
  char esc;
  char *rawtext;
};

#endif 

